Core - Task # 55178

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Extbase
Created: 2014-01-20 Assigned To:

Updated: 2014-12-20 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Extract forward handling from errorAction

Description

The default Extbase ActionController::errorAction uses the forward method to get back to the referring request.
If a custom and different redirect shall happen here, one has to clone the whole errorAction method.
Extracting the handling simplifies customization at this state.

Related issues:
related to TYPOS Flow Base Distribution - Task # 55189: Extract forward handl... Closed 2014-01-20

Associated revisions

Revision 07986¢43 - 2014-12-20 10:46 - Helmut Hummel

[TASK] Decouple responsibilities in default errorAction()

The default Extbase ActionController::errorAction does a lot
of different things, which makes it hard to customize a controller
to a desired behavior without copying all or some of its code.

Extracting the different responsibilities to separate methods

simplifies such customizations.

Resolves: #55178

Releases: master

Change-Id: 1324a504c745649eec11eec65d4e6a718a5e434bd
Reviewed-on: http:/review.typo3.org/26944

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-01-20 17:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26944

#2 - 2014-12-18 10:48 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/26944

#3 - 2014-12-18 12:15 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/26944

#4 - 2014-12-18 16:19 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/26944

#5 - 2014-12-20 10:45 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/26944

#6 - 2014-12-20 11:00 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:07986c435cb467c3a95a870bcecc4b35211b2589.
